Subject: [PATCH v5 1/2] watchdog: imx2_wdt: add external reset support via dt prop

From: [email-masked] (Akshay Bhat)
Date: Mon, 18 Apr 2016 12:05:10 -0400

On 04/07/2016 09:09 PM, Guenter Roeck wrote:
> On 04/01/2016 08:16 AM, Tim Harvey wrote:
>> The IMX6 watchdog supports assertion of a signal (WDOG_B) which
>> can be pinmux'd to an external pin. This is typically used for boards
>> that
>> have PMIC's in control of the IMX6 power rails. In fact, failure to use
>> such an external reset on boards with external PMIC's can result in
>> various
>> hangs due to the IMX6 not being fully reset [1] as well as the board
>> failing
>> to reset because its PMIC has not been reset to provide adequate
>> voltage for
>> the CPU when coming out of reset at 800Mhz.
>>
>> This uses a new device-tree property 'fsl,ext-reset-output' to
>> indicate the
>> board has such a reset and to cause the watchdog to be configured to
>> assert
>> WDOG_B instead of an internal reset both on a watchdog timeout and in
>> system_restart.
>>
>> [1]
>> http://lists.infradead.org/pipermail/linux-arm-kernel/2015-March/333689.html
>>
>>
>> Cc: Fabio Estevam <[email-masked]>
>> Cc: Lucas Stach <[email-masked]>
>> Cc: Stefan Roese <[email-masked]>
>> Cc: Iain Paton <[email-masked]>
>> Cc: Sascha Hauer <[email-masked]>
>> Cc: Akshay Bhat <[email-masked]>
>> Cc: Guenter Roeck <[email-masked]>
>> Signed-off-by: Tim Harvey <[email-masked]>
>> Reviewed-by: Lucas Stach <[email-masked]>
>> Acked-by: Shawn Guo <[email-masked]>
>
> Reviewed-by: Guenter Roeck <[email-masked]>
>

Hi Wim,

When will this patch be applied to the watchdog maintainers git tree? I 
have another board that can use this feature and I am guessing I should 
wait before for the above patch to be applied before submitting mine.

Thanks,
Akshay